Subject: Re: [PATCH] Fix routing tables with id > 255 for legacy software

From: Patrick McHardy <[email-masked]>
Date: Tue, 03 Jun 2008 19:58:42 +0200

Jarek Poplawski wrote:
> On Tue, Jun 03, 2008 at 05:15:04PM +0200, Krzysztof Oledzki wrote:
>>
>> On Tue, 3 Jun 2008, Patrick McHardy wrote:
> ...
>>> Your patch makes it more predictable, so I'm not completely
>>> opposed, but still its just a workaround.
>> Indeed - it is a workaround but I believe we need it.
>>
> 
> IMHO, adding a safety with e.g. CONFIG_IP_FIB_COMPAT_DEPRECATED
> (default N) for one stable, letting to change this back in some
> (probably nonexistent) strange cases, should be enough to keep up
> appearances...

Mhh .. I don't think this is a good solution. Things can
only break if you actually use the new feature, and if
you do, you should simply make sure that all software
running can deal with it. Fixing the routing daemons
should be a triviality.